version: "3"
services:
  redis:
    image: redis:4.0.5-alpine
  web:
    restart: on-failure:10
    build: .
    command: python manage.py runserver 0.0.0.0:8000
    volumes:
      - .:/code
    ports:
      - "8000:8000"
  pusher:
    image: registry.gitlab.com/appointmentguru/services/pusher:master
    command: celery -A pusher worker -Q pusher --loglevel=info --autoscale=10,2
    environment:
      - PUBNUB_PUBLISH_KEY=pub-c-f303e204-ee0c-4b74-8dd0-436d4a833af7
      - PUBNUB_SUBSCRIBE_KEY=sub-c-ce333652-65fa-11e6-9be8-0619f8945a4f
      - PUBNUB_SCHOOL_CHANNEL_PREFIX=APPOINTMENTGURU_MICROSERVICES_136AB6B7-B82F-47C3-97C8-94C20E489490
      - AWS_STORAGE_BUCKET_NAME=media-appointmentguru
      - AWS_ACCESS_KEY_ID=AKIAJEXZE5I3UIIU7WDA
      - AWS_SECRET_ACCESS_KEY=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
      - ZOOM_AUTH_TOKEN=94d7ec7b-925a-4b3b-a697-402560145c46
      - MAILGUN_API_KEY=key-19a181a760a73b89bbb10d691c5b1202
      - MAILGUN_SENDER_DOMAIN=appointmentguru.co
      - CLOUDFLARE_EMAIL=christo@appointmentguru.co
      - CLOUDFLARE_AUTH_KEY=b4b4c855b89a3cc324f5fcb35366b41b4a03f
      - CLOUDFLARE_ACCOUNT_ID=273dc5552675fdd3cb56bfb3830ad982
      - CLOUDFLARE_GLOBAL_NAMESPACE_ID=d1e4c4daa53f4e859282bb00c8a93a0a
      - STREAMIO_KEY=s6tk925qj6gr
      - STREAMIO_SECRET=6fgpak5ew9retryvpn8kwdu52yem2ejc283g7xsquwx3v9qbyb2tz4wn294b2b67
      - STREAMIO_KEY=hwzm4n3c9bvr
      - STREAMIO_SECRET=79dxvf5mtts2y3xqdqztkd35dx25r8u8bw5atxwp58psuenvukt5qzx25vsmy7sv
      - SLACK_TOKEN=xoxb-196895571108-GhNPSbenIMH2goI9VvUof8bC